problem installing 8.0.0beta5 on OS X 10.3

From: Will Arp <warp(at)reboot(dot)ch>
To: pgsql-hackers(at)postgresql(dot)org
Subject: problem installing 8.0.0beta5 on OS X 10.3
Date: 2004-11-25 14:04:01
Message-ID: DBB76949-3EEA-11D9-9C67-00306557CC06@reboot.ch
Views: Raw Message | Whole Thread | Download mbox | Resend email
Thread:
Lists: pgsql-hackers

I'm trying to compile beta5 on osx 10.3.6
without success, I have XCode 1.5 installed.

Could you please give me instructions?
I have readline installed from fink.
Bison is there from Apple.

This is from the Terminal.app:
~/Desktop/postgresql-8.0.0beta5 (alpha) ./configure
--bindir=/usr/local/bin --mandir=/usr/local/share/man/ --enable-recode
--enable-syslog --enable-unicode-conversion --enable-multibyte
--with-includes=/sw/include/ --with-libraries=/sw/lib
checking build system type... powerpc-apple-darwin7.6.0
checking host system type... powerpc-apple-darwin7.6.0
checking which template to use... darwin
checking whether to build with 64-bit integer date/time support... no
checking whether NLS is wanted... no
checking for default port number... 5432
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... configure: error: cannot run C
compiled programs.
If you meant to cross compile, use `--host'.

After removing line 2050 to 2077 in configure:

#############################
# Check the compiler produces executables we can run. If not, either
# the compiler is broken, or we cross compile.
echo "$as_me:$LINENO: checking whether the C compiler works" >&5
echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
# If not cross compiling, check that we can run a simple program.
if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then
cross_compiling=yes
else
{ { echo "$as_me:$LINENO: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&5
echo "$as_me: error: cannot run C compiled programs.
If you meant to cross compile, use \`--host'." >&2;}
{ (exit 1); exit 1; }; }
fi
fi
fi
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
#############################

I was able to configure, at least I got:
All of PostgreSQL successfully made. Ready to install.

but then:
~/Desktop/postgresql-8.0.0beta5 (user) sudo make install
make -C doc install
for file in man1/*.1 man7/*.7 ; do \
/bin/sh ../config/install-sh -c -m 644 $file
/usr/local/share/man//$file || exit; \
done
make -C src install
/bin/sh ../config/mkinstalldirs /usr/local/pgsql/lib/pgxs/src
mkdir -p -- /usr/local/pgsql/lib/pgxs/src
/bin/sh ../config/install-sh -c -m 644 Makefile.global
/usr/local/pgsql/lib/pgxs/src/Makefile.global
/bin/sh ../config/install-sh -c -m 644 Makefile.port
/usr/local/pgsql/lib/pgxs/src/Makefile.port
/bin/sh ../config/install-sh -c -m 644 ./Makefile.shlib
/usr/local/pgsql/lib/pgxs/src/Makefile.shlib
/bin/sh ../config/install-sh -c -m 644 ./nls-global.mk
/usr/local/pgsql/lib/pgxs/src/nls-global.mk
make -C port install
/bin/sh ../../config/install-sh -c -m 644 libpgport.a
/usr/local/pgsql/lib
make -C timezone install
make -C ../../src/port all
make[3]: Nothing to be done for `all'.
gcc -no-cpp-precomp -O4 -Wall -Wmissing-prototypes -Wpointer-arith
-Wendif-labels -fno-strict-aliasing zic.o ialloc.o scheck.o localtime.o
-L../../src/port -L/sw/lib/ -lpgport -lz -lreadline -lresolv -ldl -lm
-o zic.out
mkdir -p -- /usr/local/pgsql/share
./zic -d /usr/local/pgsql/share/timezone ./data/africa
./data/antarctica ./data/asia ./data/australasia ./data/europe
./data/northamerica ./data/southamerica ./data/pacificnew
./data/etcetera ./data/factory ./data/backward ./data/systemv
./data/solar87 ./data/solar88 ./data/solar89
make[2]: ./zic: Command not found
make[2]: *** [install] Error 127
make[1]: *** [install] Error 2
make: *** [install] Error 2

I did remove XCode 1.5, installed XCode 1.2, no difference. 8(

Well If you have an idea, I'd welcome it 8)

Have a nice day!

Will

Responses

Browse pgsql-hackers by date

  From Date Subject
Next Message Adam Witney 2004-11-25 14:21:59 Re: problem installing 8.0.0beta5 on OS X 10.3
Previous Message Simon Riggs 2004-11-25 12:07:54 Re: lwlocks and starvation